#! /bin/sh

inst_dir="/opt/trend/imss"

Run()
{
 postMasterInstall=`ps -eo args|grep Postgre |grep -v grep| awk -F' ' '{print $1}'|head -1` 
 postgreInstall=`dirname $postMasterInstall`
 if [ -f $postgreInstall/vacuumdb ];then

    #$IMSS_HOME/PostgreSQL/bin/vacuumdb -d $DBNAME -U $DBUSER -z -v  -f --table 'pg_largeobject' imss > /dev/null 2>&1
    $postgreInstall/vacuumdb -d $DBNAME -U $DBUSER -z -v  -f --table 'pg_largeobject' imss
 else
    echo " There is no $postgreInstall/PostgreSQL/bin/vacuumdb, exit"
    exit
 fi
}

########################################################################
#                       Main                           #
########################################################################

# check scheduled update
$PS_CMD | grep imssausched | grep -v grep > /dev/null
if [ $? = 0 ]; then
   echo "Scheduled update is in progress. Please wait until it is finished."
   echo "Vacuum exits."
   exit 1
fi

ODBCINI=${inst_dir}/config/odbc.ini
ODBCSYSINI=${inst_dir}/config
LD_LIBRARY_PATH=${inst_dir}/lib
#IMSS_HOME=${inst_dir}
IMSS_HOME="/opt/trend/imss"
DBINI=${inst_dir}/config/database.ini

export ODBCINI
export ODBCSYSINI 
export IMSS_HOME
export DBINI
    
#DBSERVER=`grep "Servername" $ODBCINI | awk -F'=' '{print $2}'`
DBUSER=`grep "UserId" $DBINI | awk -F= '{print $2}'`
#DBUSERPASS=`grep "Password" $DBINI | awk -F= '{print $2}'`
DBNAME=`grep "Database=" $DBINI | awk -F= '{print $2}'`

Run

